%define name peercast
%define version 0.1217
%define distsuffix plf
%define release %mkrel 1

%define define_svn 0

%{?_with_svn: %{expand: %%global define_svn 1}}


Name: %{name}
Summary: Peer-to-peer broadcasting system
Version: %{version}
Release: %{release}
Group: System/Servers
%if %define_svn
BuildRequires: subversion 
%endif
# (misc)
# you need to touch this files for having a building --with svn bootstrap
#  in fact, there seems to have a rpm bug, you need to touch and bzip2 the file
#  my various experiment showed that rpm detect the file long before running %setup
#  ( which suck, imho ). So, it need to be a real bzip2 file to use %setup
Source: %{name}-v%{version}.tar.bz2
Patch0: peercast.gcc34.diff.bz2
 
Url: http://www.peercast.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
Epoch: 1

%description
Peercast is a software of radio diffusion in
streaming. The advantage compared to the existing 
software is enormous, indeed, where it
is necessary for you 512ko (adsl/cable kind) of band-width 
to make painfully pass two customers with a quality of
32ko/s, here, thanks to the p2p, the limit is exploded you 
are limited only by your bandwidth (for a ADSL connection,
approximately 64ko/s)
They are the customers who will connect themselves on
your premise who will be used as relay, they will be indeed 
at the same time customer and diffuser of your radio.

This package is in PLF because of Mandriva Linux policy forbidding P2P
softwares.
%prep

%if %define_svn
# yes i know, it is a hack.
cd $RPM_SOURCE_DIR
VERSION=v%version
svn checkout  svn://peercast.org/peercast/tags/$VERSION
find $VERSION -name '.svn' | xargs rm -Rf
rm -f peercast-$VERSION.tar peercast-$VERSION.tar.bz2
tar -cf peercast-$VERSION.tar $VERSION
rm -Rf $VERSION
bzip2 peercast-$VERSION.tar
cd -
%endif
%setup -q -n v%{version}
%patch0
#(misc) it seems that rpm does not enforce the permission on the %doc files :/
chmod 644 ui/LICENSE
%build
cd ui/linux
touch makedepend
%make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp ui/linux/%{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}.real

cat >  $RPM_BUILD_ROOT/%{_bindir}/%{name} << EOF
#!/bin/bash
cd %{_datadir}/%{name}
%{_bindir}/%{name}.real -inifile \$HOME/.peercast.ini
EOF

chmod +x $RPM_BUILD_ROOT/%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -rf ui/html  $RPM_BUILD_ROOT/%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ui/LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}.real
%{_datadir}/%{name}

%changelog
* Sun Apr 23 2006 Michael Scherer <misc@zarb.org> 1:0.1217-1plf
- mkrel
- new version
- better plf reason

* Mon Jun 07 2004 Michael Scherer <misc@zarb.org> 0.1210-1plf 
- rebuild for new gcc ( patch 0 )
- v1210

* Sun May 16 2004 Michael Scherer <misc@zarb.org> 0.1209-1plf 
- 0.1209
- added --with svn to use svn instead of tarball ( and still create a valid tarball )

* Thu Apr 29 2004 Michael Scherer <scherer.michael@free.fr> 0.1206-2plf 
- fix my suckiness, thanks to lezard

* Sun Apr 18 2004 Michael Scherer <scherer.michael@free.fr> 0.1206-1plf
- 0.1206
 
* Fri Mar 26 2004 Michael Scherer <scherer.michael@free.fr> 0.1203-1plf
- 0.1203
- Added epoch, /me suck

* Mon Aug 04 2003 Michael Scherer <scherer.michael@free.fr> 20030729-0.1mdk
- initial plf import.
